Subject: bug#18739: 24.3; Request for a hook to be provided when scrolling will move the cursor

From: Ivan Shmakov <[email-masked]>
Date: Wed, 15 Oct 2014 21:27:28 +0000

>>>>> Josh Hunsaker <[email-masked]> writes:

 >>> I am writing code and I realize that I forgot the name of the
 >>> variable that I defined 30 lines ago, I use the mouse to do a quick
 >>> scroll up, read the name, and scroll back down where I came from.

 >> The usual technique in Emacs is to put the mark where you were
 >> before scrolling.  Then "C-x C-x" will get you back.

 > This requires the forethought to set the mark before scrolling.

	Usually, I use incremental search (C-r) to look back at the
	code.  A side effect of that is that the mark gets set, so after
	I’ve looked what I was interested in up, – I can readily C-x C-x
	my way back.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A